import { b as Bot } from '../../index-62345680';
import 'winston';
import 'mirai-ts';
import 'commander';
import 'mongoose';
import 'events';
import 'net';
import 'koa';
import '@octokit/webhooks';
import 'node-schedule';

interface LimitOptions {
    interval: number;
    count: number;
    sender: {
        interval: number;
        maximum: number;
        tooltip: string;
        time: number;
    };
}

declare function limit(ctx: Bot, options: LimitOptions): void;

export { limit as default };
